Subject: bug#58808: map-y-or-n-p should use read-key, not read-event

From: Stefan Monnier <[email-masked]>
Date: Thu, 27 Oct 2022 11:39:10 -0400

>> I found that map-y-or-n-p uses read-event, not read-key (still the
>> case in master as of 2022-10-27).  Will you accept a patch if I try
>> to rewrite it?
[...]
> Isn't there some translation map that could help you?

No, `read-event` is the low-level function that gives access to the
actual untranslated events.  I think `map-y-or-n-p` should be changed
similarly to `y-or-n-p` to use either `read-key` or the minibuffer
(probably obeying `y-or-n-p-use-read-key`).

        Stefan